%define major   5
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           ddcutil
Version:        2.2.0
Release:        %mkrel 1
Summary:        Query and update monitor settings
Group:          Monitoring
License:        GPLv2+
URL:            https://www.ddcutil.com
Source0:        https://github.com/rockowitz/ddcutil/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(glib-2.0) >= 2.40
BuildRequires:  pkgconfig(libusb-1.0) >= 1.0.15
BuildRequires:  pkgconfig(systemd)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(libdrm) >= 2.4.67
BuildRequires:  pkgconfig(libkmod)
BuildRequires:  pkgconfig(jansson) >= 2.0

Requires:       hwdata
Requires:       i2c-tools

# file that may be used at runtime
Recommends:     usbutils
Recommends:     kmod
Recommends:     pkg-config
Recommends:     util-linux
Recommends:     lsb-release
Recommends:     xrandr

%description
ddcutil communicates with monitors implementing MCCS (Monitor Control Command
Set), using either the DDC/CI protocol on the I2C bus or as a Human Interface
Device on USB.  In general, anything that can be controlled using a monitor's
on-screen display can be controlled by this program.  Examples include
changing a monitor's input source and adjusting its brightness.

%package -n %{libname}
Summary:        Shared library to query and update monitor settings
Group:          System/Libraries

%description -n %{libname}
Shared library version of ddcutil, exposing a C API.

%package -n %{devname}
Summary:        Development files for libddcutil
Group:          Development/C++
# FindDDCUtils.cmake has BSD license header
License:        GPLv2+ and BSD
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
Development files for libddcutil.

%prep
%autosetup -p1

%build
NOCONFIGURE=1 ./autogen.sh
%configure --enable-lib=yes \
           --enable-drm=yes \
           --enable-usb=yes \
           --docdir="%{_defaultdocdir}/%{name}"
%make_build

%install
%make_install

%files
%doc AUTHORS NEWS.md README.md CHANGELOG.md
%license COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1.*
%{_udevrulesdir}/60-ddcutil-i2c.rules
%{_modulesloaddir}/ddcutil.conf

%files -n %{libname}
%license COPYING
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{devname}
%{_libdir}/lib%{name}.so
%{_includedir}/%{name}*.h
%{_libdir}/cmake/%{name}/
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Tue Feb 25 2025 daviddavid <daviddavid> 2.2.0-1.mga10
+ Revision: 2152112
- new version: 2.2.0

* Thu Aug 22 2024 daviddavid <daviddavid> 2.1.4-1.mga10
+ Revision: 2087423
- initial package ddcutil

